.panel_lateral {
    transform: translateX(-100%);
    opacity: 0;
    transition: transform 2s cubic-bezier(0.4,0,0.2,1), opacity 2s cubic-bezier(0.4,0,0.2,1);
}
.panel_lateral.panel-lateral-activo {
    transform: translateX(0);
    opacity: 1;
}
*{
    margin: 0;
    padding: 0;
}

:root {
    /* Variables globales de tipografía */
    --font-arial: 'Arial', sans-serif;
    --font-arial-bold: 'Arial Black', 'Arial Bold', 'Arial', sans-serif;
    /* Ancho de letra*/
    --font-weight-light: 100;
    --font-weight-normal: 400;
    --font-weight-bold: 700;
    --font-weight-semibold: 500;
    /* Tamaños de letra*/
    --font-size-small: 14px;
    --font-size-xsmall: 21px;
    --font-size-normal: 24px;
    --font-size-medium: 34px;
    --font-size-large: 45px;
    --font-size-xlarge: 50px;
    /* Variables globales de colores */
    --color-verde-claro: rgb(53,127,50);
    --color-verde-oscuro: rgb(20,86,86);
    --color-verde-pastel: rgb(134,186,147);
    --color-azul: rgb(42, 29, 124);
    --color-amarillo: rgb(254,241,20);
    --color-vino: rgb(106, 9, 35);
    --color-rojo: rgb(211, 0, 0);
    --color-gris-claro: rgb(245,245,245);
    --color-gris-oscuro: rgb(52, 49, 50);
    --color-dorado: rgb(184, 164, 109);
    --color-azul-oscuro: rgb(13, 15, 23);
    --color-turquesa: rgb(148, 185, 209);
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: var(--font-arial);
}

.hero{
    background-image: url(/assets/img/home\ sr.jpg);
    background-size: cover;
    background-position: top center;
    height: 135vh;
    display: flex;
    flex-direction: column;
    color: white;
    justify-content: space-between;
}

.panel_lateral{
    display: flex;
    flex-direction: column;
    gap: 30px;
    font-weight: var(--font-weight-bold);
    padding-left: 196px;
    padding-right: 100px;
    width: 25%;
    background-color: rgba(0, 0, 0, 0.548);
    height: 135vh;
    position: absolute;
    z-index: 1;
}
.panel_lateral h2{
    padding-top: 100%;
    color: var(--color-verde-pastel);
    font-size: var(--font-size-normal);
    width: 70%;
}
.panel_lateral p{
    font-weight: var(--font-weight-normal);
    font-size: var(--font-size-xsmall);
    width: 82%;
}
.panel_lateral button{
    border-style: solid;
    border-color: var(--color-verde-pastel);
    background-color: rgba(255, 255, 255, 0);
    color: var(--color-verde-pastel);
    padding-inline: 10px;
    padding-block: 5px;
    border-radius: 5px;
}

a{
    color: white;
    text-decoration: none;
}

header{
    display: flex;
    justify-content: space-between;
    padding-inline: 130px;
    padding-top: 80px;
    z-index: 2;
}

.logo{
    z-index: 2;
}
.menu{
    display: flex;
    gap: 30px;
    font-weight: var(--font-weight-normal);
}

.servicios{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 50px;
    padding-inline: 196px;
    z-index: 2;
    padding-bottom: 80px;
}

.item_servicio{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.item_servicio button{
    border-style: solid;
    border-color: var(--color-verde-pastel);
    background-color: rgba(255, 255, 255, 0);
    color: var(--color-verde-pastel);
    padding-inline: 10px;
    padding-block: 5px;
    border-radius: 5px;
}

.item_servicio hr{
    border: none;
    height: 7px;
    background-color: var(--color-dorado);
    width: 90px;
}

.item_servicio h2{
    font-weight: var(--font-weight-semibold);
}

.contenedor_titulo{
    display: flex;
    justify-content: right;
    padding-right: 196px;
}
.titulo_hero{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 500px;
    z-index: 2;
}
.titulo_hero h1{
    font-size: var(--font-size-xlarge);
    font-weight: var(--font-weight-bold);
    color: var(--color-amarillo);
}
.titulo_hero p{
    font-size: var(--font-size-large);
    font-weight: var(--font-weight-bold);
}

.quienes_somos{
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding-inline: 196px;
    padding-block: 80px;
}
.quienes_somos h3{
    font-size: var(--font-size-normal);
    color: var(--color-gris-oscuro);
    font-weight: var(--font-weight-semibold);
}
.quienes_somos h2{
    font-size: var(--font-size-medium);
    color: var(--color-verde-pastel);
    font-weight: var(--font-weight-semibold);
}
.quienes_somos p{
    font-size: var(--font-size-xsmall);
    color: var(--color-gris-oscuro);
    font-weight: var(--font-weight-light);
    line-height: 1.5;
}

.blog{
    background-color: var(--color-gris-claro);
    text-align: center;
    padding-top: 80px;
}
.blog h2{
    font-size: var(--font-size-normal);
    color: var(--color-gris-oscuro);
    font-weight: var(--font-weight-semibold);
    letter-spacing: 7px;
}
.contenedor_post{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
    padding-inline: 196px;
    padding-block: 80px;
}
#img_post_1{
    background-image: url(/assets/img/blog_1.png);
}
#img_post_2{
    background-image: url(/assets/img/blog_2.png);
}
#img_post_3{
    background-image: url(/assets/img/blog_3.png);
}
.item_post{
    display: flex;
    flex-direction: column;
}
.img_post{
    height: 230px;
    background-size: cover;
    background-position: center;
}
.post_info{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    gap: 15px;
    padding: 20px;
    background-color: white;
}
.post_info h3{
    font-size: var(--font-size-xsmall);
    color: var(--color-vino);
    font-weight: var(--font-weight-semibold);
}
.post_info button{
    background: none;
    border: none;
    color: var(--color-azul);
    font-weight: var(--font-weight-normal);
    font-size: var(--font-size-xsmall);
    cursor: pointer;
}

.call_to_action{
    display: flex;
    height: 650px;
    margin-bottom: 80px;
}
.call_to_action_col1{
    width: 50%;
    background-color: var(--color-gris-oscuro);
    color: white;
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
}
.parrafo_1{
    font-size: var(--font-size-normal);
}
.parrafo_2{
    color: var(--color-dorado);
    font-size: var(--font-size-normal);
}
.parrafo_3{
    line-height: 1.5;
    font-size: var(--font-size-xsmall);
}
.info_calltoaction{
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-left: 196px;
    padding-right: 100px;
    text-align: right;
}
.info_calltoaction button{
    border-style: solid;
    border-color: var(--color-dorado);
    background-color: rgba(255, 255, 255, 0);
    color: var(--color-dorado);
    padding-inline: 25px;
    padding-block: 5px;
    border-radius: 5px;
    width: fit-content;
    font-size: var(--font-size-xsmall);
}
.call_to_action_col2{
    background-image: url(/assets/img/call-to-action-img.png);
    background-position: center;
    background-size: cover;
    height: 100%;
    width: 50%;
}

footer{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding-inline: 196px;
    padding-block: 80px;
    background-color: var(--color-azul-oscuro);
    color: white;
}
.col1_footer{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.social{
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.social h3{
    font-style: italic;
}
.social_logos{
    display: flex;
    gap: 20px;
}
.social_logos i{
    color: var(--color-turquesa);
    font-size: 24px;
}
.enlaces{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.info_contact{
    display: flex;
    gap: 10px;
}
.info_contact i{
    font-size: 17px;
    color: var(--color-turquesa);
}
.col3_footer{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.popup_contenedor{
    display: flex;
    flex-direction: column;
    width: 900px;
}
.contenido_popup{
    display: flex;
    height: 500px;
}
.col1_popup{
    background-image: url(/assets/img/home\ sr.jpg);
    background-size: cover;
    background-position: top right;
    width: 50%;
    height: auto;
}
.col2_popup{
    max-width: 50%;
}
.info_col2_popup{
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 40px;
    padding-top: 25%;
    text-align: center;
}
.info_col2_popup h2{
    font-size: var(--font-size-normal);
    color: var(--color-rojo);
    font-weight: var(--font-weight-bold);
    width: 90%;
    padding-inline: 5%;
}
.contenedor_form{
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}